Draft Rectangle/ro: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
Line 44: Line 44:
}}
}}


* Creează un obiect Dreptunghi cu lungimea în direcția X și înălțimea în direcția Y.
* Creates a Rectangle object with length in X direction and height in Y direction.
* Dacă este dată o destinație de plasare, este utilizată.
* If a placement is given, it is used.
* If facemode is False, the rectangle is shown as a wireframe, otherwise as a face.
* Dacă facemode este False, dreptunghiul este afișat ca un cadru de sârmă, altfel ca o fațetă.
* Se va folosi versiunea curentă de linie și culoare.
* The current Draft linewidth and color will be used.
* Returnează obiectul nou creat.
* Returns the newly created object.


Exempluː
Exempluː

Revision as of 11:35, 7 August 2018

Draft Rectangle

Menu location
Draft → Rectangle
Workbenches
Draft, Arch
Default shortcut
R E
Introduced in version
-
See also
Part Box

Descriere

Instrumentul dreptunghi creează un dreptunghi prin alegerea a două puncte opuse. Este nevoie de linewidth and color setată anterior pe fila Activități.

Cum se utiliează

  1. Press the Draft Rectangle button, or press R then E keys
  2. Click a first corner point on the 3D view, or type a coordinate
  3. Click another opposite point on the 3D view, or type a coordinate. The rectangle will also be a face, even if it appears as wireframe.

Opțiuni

  • Press X, Y or Z after a point to constrain the next point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the next point are relative to the last one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the Rectangle tool will restart after you finish or close it, allowing you to draw another one without pressing the Rectangle button again.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press SHIFT while drawing to constrain your next point horizontally or vertically in relation to the last one.
  • Press I or the Filled button to have the rectangle filled with a face after it has been closed.
  • Press ESC or the Cancel button to abort the current Line command.
  • Rectangles, when in "Flat Lines" display mode, can display a hatch pattern, by setting their "Pattern" property.

Proprietăți

  • DateLength: Specifies the length of the rectangle
  • DateWidth: Specifies the width of the rectangle
  • DateChamfer Size: Specifies the size of chamfered corners
  • DateFillet Radius: Specifies a curvature radius to give to the corners of the rectangle
  • DateRows: Allows to give horizontal subdivisions to this rectangle
  • DateColumns: Allows to give vertical subdivisions to this rectangle
  • DateMake Face: Fills the rectangle with a face
  • VizualizareTexture Image: Allows to give the path to an image file to be mapped on the rectangle. It is up to you to give the rectangle the same proportion as the image if you want to avoid distortions. Blanking this property will remove the image.
  • VizualizarePattern: Specifies a hatch pattern to fill the wire with.
  • VizualizarePattern Size: Specifies the size of the hatch pattern

See also Draft Pattern page.

Scripturi

Instrumentul dreptunghi poate fi folosit în macros și din consola python utilizând următoarea funcție:

makeRectangle (length, width, [placement], [facemode])
  • Creează un obiect Dreptunghi cu lungimea în direcția X și înălțimea în direcția Y.
  • Dacă este dată o destinație de plasare, este utilizată.
  • Dacă facemode este False, dreptunghiul este afișat ca un cadru de sârmă, altfel ca o fațetă.
  • Se va folosi versiunea curentă de linie și culoare.
  • Returnează obiectul nou creat.

Exempluː

import FreeCAD,Draft
Draft.makeRectangle(10,4)